Bug 10650 - non-privileged users can't set core dump size to non-zero
Summary: non-privileged users can't set core dump size to non-zero
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-04-07 20:52 UTC by glenn
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-09 22:40:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description glenn 2000-04-07 20:52:57 UTC
New to 6.1 is the inability of the ordinary user to get a core file.
Somehow, unless you have super user privileges, the ordinary user can't
execute 'setrlimit(RLIMIT_CORE, ..)'.  So in bash, 'ulimit -c' and in tcsh,
'limit coredumpsize' result in privilege violations.

This is bordering on catastrophe for us poor developers.   There's nothing
like a core file to find out why a program crapped out, especially if
it happened off site, in front of a naive user.

Please put it back!


Comment 1 glenn 2000-04-09 22:40:59 UTC
Please delete/ignore this report pending further investigation.


Note You need to log in before you can comment on or make changes to this bug.